import 'package:hive/hive.dart';

part 'apple_health_element.g.dart';

@HiveType(typeId: 0)
class AppleHealthElement extends HiveObject {
  @HiveField(0)
  final String? id;
  @HiveField(1)
  final String? value;
  @HiveField(2)
  final String? date;
  @HiveField(3)
  bool? synced;
  @HiveField(4)
  String? syncedDate;
  @HiveField(5)
  String? dateFrom;
  @HiveField(6)
  String? dateTo;
  @HiveField(7)
  String? type;
  @HiveField(8)
  String? healthValue;

  AppleHealthElement({
    this.id,
    this.value,
    this.date,
    this.synced,
    this.syncedDate,
    this.dateFrom,
    this.dateTo,
    this.type,
    this.healthValue,
  });
}
